From 4d28e7dcb2132ce349f738be8d244876cb9942b8 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 5 Oct 2009 13:15:37 +0200
Subject: [PATCH] Fix build failure on ARM.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 icu.arm.patch |   21 +++++++++++++++++++++
 icu.spec      |    7 ++++++-
 2 files changed, 27 insertions(+), 1 deletions(-)
 create mode 100644 icu.arm.patch

diff --git a/icu.arm.patch b/icu.arm.patch
new file mode 100644
index 0000000..1d7c8c8
--- /dev/null
+++ b/icu.arm.patch
@@ -0,0 +1,21 @@
+--- icu/source/tools/toolutil/pkg_genc.c.orig	2009-10-05 20:42:46.878010257 +0200
++++ icu/source/tools/toolutil/pkg_genc.c	2009-10-05 20:43:44.073164845 +0200
+@@ -118,10 +118,18 @@ static const struct AssemblyType {
+ } assemblyHeader[] = {
+     {"gcc",
+         ".globl %s\n"
++#ifdef __arm__
++        "\t.section .note.GNU-stack,\"\",%%progbits\n"
++#else
+         "\t.section .note.GNU-stack,\"\",@progbits\n"
++#endif
+         "\t.section .rodata\n"
+         "\t.align 8\n" /* Either align 8 bytes or 2^8 (256) bytes. 8 bytes is needed. */
++#ifdef __arm__
++        "\t.type %s,%%object\n"
++#else
+         "\t.type %s,@object\n"
++#endif
+         "%s:\n\n",
+ 
+         ".long ","",HEX_0X
diff --git a/icu.spec b/icu.spec
index 13e790c..70469c3 100644
--- a/icu.spec
+++ b/icu.spec
@@ -1,6 +1,6 @@
 Name:      icu
 Version:   4.2.1
-Release:   6%{?dist}
+Release:   6%{?dist}.fa1
 Summary:   International Components for Unicode
 Group:     Development/Tools
 License:   MIT
@@ -18,6 +18,7 @@ Patch4:  icu.icu7039.badextract.patch
 Patch5:  icu.6969.pkgdata.patch
 Patch6:  icu.XXXX.install.patch
 Patch7:  icu.7119.s390x.patch
+Patch8:	 icu.arm.patch 
 
 %description
 Tools and utilities for developing with icu.
@@ -64,6 +65,7 @@ BuildArch: noarch
 %patch5 -p0 -b .icu.6969.pkgdata.patch
 %patch6 -p1 -b .icu.XXXX.install.patch
 %patch7 -p1 -b .icu.7119.s390x.patch
+%patch8 -p1 -b .icu.arm.patch
 
 %build
 cd source
@@ -142,6 +144,9 @@ rm -rf $RPM_BUILD_ROOT
 %doc source/__docs/%{name}/html/*
 
 %changelog
+* Mon Oct 5 2009 Kedar Sovani <kedars@marvell.com> - 4.2.1-6.fa1
+- Fix build failure on ARM.
+
 * Tue Sep 01 2009 Caolan McNamara <caolanm@redhat.com> - 4.2.1-6
 - Resolves: rhbz#520468 fix s390x and other secondary archs
 
-- 
1.5.5.6

